VelocityReport Plugin - Defect #368

plugins.VelocityReport.getMedia may not be working in Servoy 6
Description
My solution appears to have broken when using this function in web client.

It still works in developer, but appears to be broken in deployment on the web server.

The show pdf appears to create a temporary file that can be accessed, so it would appear the velocity plugin is pointing correctly at
the server url.

but any images created using this function don't appear in the html. This happens even when rendering to an HTML field on the
layout.

David

History

#1 - 09/05/2011 09:27 PM - David Pearce

- File servoy6_screenshot.png added
Sorry, here is the same preview in servoy 6. this is on the live server.
#2 - 09/05/2011 10:22 PM - Patrick Talbot
| have found out that the method | was relying on in Servoy 5 API and which was doing:
public URLStreamHandler getMediaURLStreamHandler ()
{
return new MediaURLStreamHandler (application);
}
Is now (in 6 and for Web client only):
@Deprecated

public URLStreamHandler getMediaURLStreamHandler ()
{

return null;
}
| have asked Johan for some explanations, they shouldn't brake/deprecate methods without warnings, when the method is still in the public API.
Will keep you posted.
#3 - 09/05/2011 10:23 PM - Patrick Talbot

- Status changed from New to In Progress

#4 - 09/06/2011 09:53 AM - David Pearce
Thanks,

hopefully it will be easy to fix. They must be due 6.0.1 soon!

David
#5 - 09/06/2011 04:23 PM - Patrick Talbot
Talked to Johan about it, it's a bug in 6.

I'm prepared to send him a patch but he is on vacation right now :)
Hopefully this will make it in 6.0.1

#6 - 09/06/2011 06:22 PM - David Pearce
That sounds good. Many thanks
David

#7 - 09/13/2011 01:56 PM - Patrick Talbot
Will be resolved in 6.0.1 due to this h

#8 - 10/19/2011 06:31 PM - Patrick Talbot

- Status changed from In Progress to Closed

Working with Servoy 6.0.1

Files

servoy6.pdf 56.6 KB 09/05/2011 David Pearce
servoy5_screenshot.png 221 KB 09/05/2011 David Pearce
servoy6_screenshot.png 201 KB 09/05/2011 David Pearce
